Upgrading Nagios vi the GUI errors out

This board serves as an open discussion and support collaboration point for Nagios XI. NOTE: Nagios XI customers should use the Customer Support forum to obtain expedited support.

Upgrading Nagios vi the GUI errors out

Postby wjoyner » Fri Jun 01, 2018 11:37 am

Any ideas on why the update will not install would be appreciated.


Latest Available Version: 5.4.13
Installed Version: 5.2.9

When I run the update I get the following in the log:

---- Starting Nagios XI Backup ----
No entry for terminal type "unknown";
using dumb terminal settings.
Running configuration check...
Stopping nagios:. done.
Starting nagios: done.
Backing up Core Config Manager (NagiosQL)...
tar: Removing leading `/' from member names
tar: Removing leading `/' from member names
Backing up Nagios Core...
tar: Removing leading `/' from member names
tar: /usr/local/nagios/var/rw/nagios.qh: socket ignored
tar: /usr/local/nagios/var/ndo.sock: socket ignored
tar: /usr/local/nagios/var: file changed as we read it
Backing up Nagios XI...
tar: Removing leading `/' from member names
Backing up MRTG...
tar: Removing leading `/' from member names
Backing up NRDP...
tar: Removing leading `/' from member names
Backing up Nagvis...
tar: Removing leading `/' from member names
Backing up MySQL databases...
Backing up PostgresQL databases...
Backing up logrotate config files...
Backing up Apache config files...
Compressing backup...

===============
BACKUP COMPLETE
===============
Backup stored in /store/backups/nagiosxi/autoupgrade_backup.1527859459.tar.gz

---- Starting Nagios XI Upgrade ----
Cleaning up temp directory...
No entry for terminal type "unknown";
using dumb terminal settings.
No entry for terminal type "unknown";
using dumb terminal settings.
Archive: sourceguardian/ixed4.lin.x86-64.zip
inflating: /usr/lib64/php/modules/ixed.5.3.lin
Sourceguardian extension found for PHP version 5.3
Sourceguardian extension already in php.ini
Stopping httpd: [ OK ]
Starting httpd: [ OK ]
No entry for terminal type "unknown";
using dumb terminal settings.
Checking required prereqs...
Please wait...

OLD VERSION: 520
Loaded plugins: fastestmirror
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package rpmforge-release.x86_64 0:0.5.2-2.el6.rf will be erased
--> Finished Dependency Resolution
http://apt.sw.be/redhat/el6/en/x86_64/r ... repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve hos
t 'apt.sw.be'"
Trying other mirror.
Could not get metalink https://mirrors.fedoraproject.org/metal ... rch=x86_64 error was
14: problem making ssl connection
Could not retrieve mirrorlist http://apt.sw.be/redhat/el6/en/mirrors-rpmforge error was
14: PYCURL ERROR 6 - "Couldn't resolve host 'apt.sw.be'"

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Removing:
rpmforge-release x86_64 0.5.2-2.el6.rf installed 13 k

Transaction Summary
================================================================================
Remove 1 Package(s)

Installed size: 13 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Erasing : rpmforge-release-0.5.2-2.el6.rf.x86_64 1/1
Verifying : rpmforge-release-0.5.2-2.el6.rf.x86_64 1/1

Removed:
rpmforge-release.x86_64 0:0.5.2-2.el6.rf

Complete!
Loaded plugins: fastestmirror
Determining fastest mirrors
* base: mirrors.gigenet.com
* epel: ftp.cse.buffalo.edu
* extras: repos-lax.psychz.net
* updates: mirrors.advancedhosters.com
Setting up Install Process
Package automake-1.11.1-4.el6.noarch already installed and latest version
Package autoconf-2.63-5.1.el6.noarch already installed and latest version
Package subversion-1.6.11-15.el6_7.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package nmap.x86_64 2:5.51-4.el6 will be updated
---> Package nmap.x86_64 2:6.47-1 will be an update
---> Package php-mbstring.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-mbstring.x86_64 0:5.3.3-49.el6 will be an update
--> Processing Dependency: php-common(x86-64) = 5.3.3-49.el6 for package: php-mbstring-5.3.3-49.el6.x86_64
--> Running transaction check
---> Package php-common.x86_64 0:5.3.3-48.el6_8 will be updated
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-xml-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-gd-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-ldap-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-cli-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-pdo-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-mysql-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-snmp-5.3.3-48.el6_8.x86_64
--> Processing Dependency: php-common(x86-64) = 5.3.3-48.el6_8 for package: php-pgsql-5.3.3-48.el6_8.x86_64
---> Package php-common.x86_64 0:5.3.3-49.el6 will be an update
--> Running transaction check
---> Package php.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-cli.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-cli.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-gd.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-gd.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-ldap.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-ldap.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-mysql.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-mysql.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-pdo.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-pdo.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-pgsql.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-pgsql.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-snmp.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-snmp.x86_64 0:5.3.3-49.el6 will be an update
---> Package php-xml.x86_64 0:5.3.3-48.el6_8 will be updated
---> Package php-xml.x86_64 0:5.3.3-49.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Updating:
nmap x86_64 2:6.47-1 nagiosxi-deps 5.1 M
php-mbstring x86_64 5.3.3-49.el6 base 460 k
Updating for dependencies:
php x86_64 5.3.3-49.el6 base 1.1 M
php-cli x86_64 5.3.3-49.el6 base 2.2 M
php-common x86_64 5.3.3-49.el6 base 530 k
php-gd x86_64 5.3.3-49.el6 base 111 k
php-ldap x86_64 5.3.3-49.el6 base 43 k
php-mysql x86_64 5.3.3-49.el6 base 86 k
php-pdo x86_64 5.3.3-49.el6 base 80 k
php-pgsql x86_64 5.3.3-49.el6 base 75 k
php-snmp x86_64 5.3.3-49.el6 base 36 k
php-xml x86_64 5.3.3-49.el6 base 108 k

Transaction Summary
================================================================================
Upgrade 12 Package(s)

Total download size: 9.9 M
Downloading Packages:
--------------------------------------------------------------------------------
Total 3.4 MB/s | 9.9 MB 00:02
warning: rpmts_HdrFromFdno: Header V4 RSA/SHA1 Signature, key ID c62934a0: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-NAGIOS
Importing GPG key 0x1E924CB3:
Userid : Nagios Enterprises, LLC (RPM Development) <sales@nagios.com>
Package: nagios-repo-6-2.el6.noarch (installed)
From : /etc/pki/rpm-gpg/RPM-GPG-KEY-NAGIOS


Public key for nmap-6.47-1.x86_64.rpm is not installed
wjoyner
 
Posts: 11
Joined: Thu Mar 22, 2018 7:28 am

Re: Upgrading Nagios vi the GUI errors out

Postby npolovenko » Fri Jun 01, 2018 3:12 pm

Hello, @wjoyner. Most likely your server is using a dead repo to update the "rpmforge-release" package that you have installed. You can either disable the rpmfoge repo or uninstall the package. Then run:
Code: Select all
yum clean all
yum update
As of May 25th, 2018, all communications with Nagios Enterprises and its employees are covered under our new Privacy Policy.
User avatar
npolovenko
Support Tech
 
Posts: 1884
Joined: Mon May 15, 2017 5:00 pm

Re: Upgrading Nagios vi the GUI errors out

Postby wjoyner » Mon Jun 04, 2018 6:36 am

Thanks for the quick response. I will try that and see if it works.
wjoyner
 
Posts: 11
Joined: Thu Mar 22, 2018 7:28 am

Re: Upgrading Nagios vi the GUI errors out

Postby scottwilkerson » Mon Jun 04, 2018 2:54 pm

I actually think you are going to need to update this package, run:
Code: Select all
rpm -Uvh https://repo.nagios.com/nagios/6/nagios-repo-6-3.el6.noarch.rpm
As of May 25th, 2018, all communications with Nagios Enterprises and its employees are covered under our new Privacy Policy.
User avatar
scottwilkerson
DevOps Engineer
 
Posts: 11179
Joined: Tue Nov 15, 2011 3:11 pm
Location: Nagios Enterprises

Re: Upgrading Nagios vi the GUI errors out

Postby wjoyner » Thu Jun 14, 2018 12:42 pm

Thanks for the help all!
I had to update the repo list and the package mentioned before the update worked.
There was another part where I have to update the public key before it would function.
wjoyner
 
Posts: 11
Joined: Thu Mar 22, 2018 7:28 am

Re: Upgrading Nagios vi the GUI errors out

Postby scottwilkerson » Thu Jun 14, 2018 1:39 pm

wjoyner wrote:Thanks for the help all!
I had to update the repo list and the package mentioned before the update worked.
There was another part where I have to update the public key before it would function.


Glad to hear you got it working!

Locking
As of May 25th, 2018, all communications with Nagios Enterprises and its employees are covered under our new Privacy Policy.
User avatar
scottwilkerson
DevOps Engineer
 
Posts: 11179
Joined: Tue Nov 15, 2011 3:11 pm
Location: Nagios Enterprises


Return to Nagios XI

Who is online

Users browsing this forum: No registered users and 5 guests